Loading...
Searching...
No Matches
Opm::EclIO::RestartFileView Class Reference

## Classes

class | Implementation

## Public Member Functions

| RestartFileView (std::shared_ptr< ERst > restart_file, const int report_step)
| RestartFileView (const RestartFileView &rhs)=delete
| RestartFileView (RestartFileView &&rhs)
RestartFileView & | operator= (const RestartFileView &rhs)=delete
RestartFileView & | operator= (RestartFileView &&rhs)
std::size_t | simStep () const
int | reportStep () const
int | occurrenceCount (const std::string &vector) const
template<typename ElmType>
bool | hasKeyword (const std::string &vector) const
template<typename ElmType>
const std::vector< ElmType > & | getKeyword (const std::string &vector, const int occurrence=0) const
const std::vector< int > & | intehead () const
const std::vector< bool > & | logihead () const
const std::vector< double > & | doubhead () const
bool | valid () const

The documentation for this class was generated from the following files:

- opm/io/eclipse/RestartFileView.hpp
- opm/io/eclipse/RestartFileView.cpp